[SDL] [patch] fix building with newer freetype

Ryan C. Gordon icculus at icculus.org
Mon Sep 4 00:14:38 PDT 2006


> the freetype guys put together a simple patch:
> http://freetype.org/freetype2/patches/SDL_ttf-2.0.7-noftinternals.patch
> 
> we've been using this in Gentoo with both freetype-2.1.10 and freetype-2.2.1

I put it in the bugtracker, just in case there was a reason for the 
current behaviour.

    http://bugzilla.libsdl.org/show_bug.cgi?id=320

> also, ive attached a simple patch for SDL_ttf's autogen.sh script ;)
> -aclocal
> -automake --foreign --include-deps --add-missing --copy
> -autoconf
> +aclocal || exit 1
> +automake --foreign --include-deps --add-missing --copy || exit 1
> +autoconf || exit 1

I'll go you one better:

--- autogen.sh  (revision 2742)
+++ autogen.sh  (working copy)
@@ -1,5 +1,8 @@
  #!/bin/sh
  #
+
+set -e
+
  aclocal
  automake --foreign --include-deps --add-missing --copy
  autoconf

--ryan.





More information about the SDL mailing list